# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: 'Ingenico Payment Services (Ogone)'
    class: XC\OgoneEcommerce\Model\Payment\Processor\OgoneEcommerce
    type: C
    countries: [AR, AT, AU, BE, CA, CH, CL, CN, CZ, DE, DK, EE, ES, FI, FR, GB, GR, HK, HR, HU, ID, IN, IT, JP, LT, LU, LV, MY, NL, 'NO', NZ, PL, SE, SG, SI, SK, TR, TW, US]
    translations: [{code: en, name: 'Ingenico Payment Services (Ogone)'}, {code: es, name: 'Servicios de pago de Ingenico (Ogone)'}]
    settings: [{name: pspid}, {name: shaIn}, {name: shaOut}, {name: prefix, value: xcart}, {name: mode, value: test}]
XLite\Model\LanguageLabel:
  - name: 'Ogone PSPID'
    translations: [{code: en, label: 'Ogone PSPID'}]
  - name: 'SHA-IN passphrase'
    translations: [{code: en, label: 'SHA-IN passphrase'}]
  - name: 'SHA-OUT passphrase'
    translations: [{code: en, label: 'SHA-OUT passphrase'}]
  - name: 'Invoice number prefix'
    translations: [{code: en, label: 'Invoice number prefix'}]
  - name: 'Ogone signup'
    translations: [{code: en, label: 'Don''t have an account? <a href="{{url}}" target="blank">Sign Up Now</a><br /><br />'}]
  - name: 'Ogone settings note'
    translations: [{code: en, label: 'Note: In order to setup ''Ingenico Payment Services'' payment method, you have to complete these steps: <ul><li>Log in to your Ingenico Payment Services account</li> <li>Open the "Configuration" -> "Technical information" page -> "Data and origin verification" tab -> "Checks for e-Commerce" section and in the URL field enter this URL: <em>{{URL}}</em></li> <li>Define SHA-IN pass phrase in the corresponding section and further enter it here in X-Cart in the "SHA-IN pass phrase" field.</li> <li>Open the "Configuration" -> "Technical information" page -> "Transaction feedback" tab -> "e-Commerce" section and enable <em>I would like to receive transaction feedback parameters on the redirection URLs</em> option.</li> <li>Scroll down to the "All transaction submission modes" section and define SHA-OUT pass phrase and further enter it here in X-Cart in the "SHA-OUT pass phrase" field.</li></ul>'}]
  - name: 'Ogone callback settings'
    translations: [{code: en, label: 'Open the "Configuration" -> "Technical information" page -> "Transaction feedback" tab -> "Direct HTTP server-to-server request" section, enable "Always deferred" and in the two URL fields enter this URL: <em>{{URL}}</em>'}]
